"use strict";
const common_vendor = require("../../../common/vendor.js");
const gen_Enums = require("../../../gen/Enums.js");
if (!Array) {
  const _easycom_hs_enum_tag2 = common_vendor.resolveComponent("hs-enum-tag");
  const _easycom_hs_button2 = common_vendor.resolveComponent("hs-button");
  (_easycom_hs_enum_tag2 + _easycom_hs_button2)();
}
const _easycom_hs_enum_tag = () => "../../../components/hs-enum-tag/hs-enum-tag.js";
const _easycom_hs_button = () => "../../../components/hs-button/hs-button.js";
if (!Math) {
  (_easycom_hs_enum_tag + _easycom_hs_button)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "TemplateMomentTask",
  props: ["item"],
  setup(__props) {
    const props = __props;
    const handleSend = () => {
      var _a, _b, _c, _d;
      common_vendor.index.navigateTo({
        url: `/ME/push_show/index?id=${(_a = props == null ? void 0 : props.item) == null ? void 0 : _a.id}&data_id=${(_c = (_b = props == null ? void 0 : props.item) == null ? void 0 : _b.data) == null ? void 0 : _c.id}&model_id=${(_d = props == null ? void 0 : props.item) == null ? void 0 : _d.model_id}`
      });
    };
    return (_ctx, _cache) => {
      var _a, _b, _c, _d, _e, _f, _g, _h, _i;
      return {
        a: common_vendor.p({
          value: (_a = props == null ? void 0 : props.item) == null ? void 0 : _a.status,
          Enums: common_vendor.unref(gen_Enums.HouseWorkOrdersStatusEnum)
        }),
        b: common_vendor.n(`btn_status status_${(_b = props == null ? void 0 : props.item) == null ? void 0 : _b.status}`),
        c: common_vendor.p({
          value: (_d = (_c = props == null ? void 0 : props.item) == null ? void 0 : _c.data) == null ? void 0 : _d.content_type,
          Enums: common_vendor.unref(gen_Enums.CustomerMomentsContentTypeEnum)
        }),
        d: common_vendor.p({
          value: (_f = (_e = props == null ? void 0 : props.item) == null ? void 0 : _e.data) == null ? void 0 : _f.channel,
          Enums: common_vendor.unref(gen_Enums.CustomerMomentsChannelEnum)
        }),
        e: common_vendor.t((_h = (_g = props == null ? void 0 : props.item) == null ? void 0 : _g.data) == null ? void 0 : _h.task_end_time),
        f: common_vendor.t((_i = props == null ? void 0 : props.item) == null ? void 0 : _i.created_at),
        g: common_vendor.o(handleSend),
        h: common_vendor.p({
          type: "primary",
          size: "sm",
          label: "去完成"
        })
      };
    };
  }
});
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-bea744b4"], ["__file", "/Users/zsq/Sources/github/2025property-pay/pay-employee/src/pages/index/components/TemplateMomentTask.vue"]]);
wx.createComponent(Component);
